> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Dataset Compliance Report



## OpenAPI

````yaml /api-reference/openapi.json post /api/datasets/{dataset_id}/compliance-report/download
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/compliance-report/download:
    post:
      tags:
        - compliance
      summary: Download Dataset Compliance Report
      operationId: >-
        download_dataset_compliance_report_api_datasets__dataset_id__compliance_report_download_post
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ComplianceReportRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ComplianceReportRequest:
      properties:
        format:
          $ref: '#/components/schemas/ComplianceReportFormat'
        depth:
          $ref: '#/components/schemas/ComplianceReportDepth'
        compliance_standard:
          $ref: '#/components/schemas/ComplianceStandard'
        time_range:
          $ref: '#/components/schemas/ComplianceTimeRange'
      additionalProperties: false
      type: object
      required:
        - format
        - depth
        - compliance_standard
        - time_range
      title: ComplianceReportRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ComplianceReportFormat:
      type: string
      enum:
        - json
        - pdf
        - csv
      title: ComplianceReportFormat
    ComplianceReportDepth:
      type: string
      enum:
        - summary
        - detailed
        - exhaustive
      title: ComplianceReportDepth
    ComplianceStandard:
      type: string
      enum:
        - soc2
        - iso27001
        - hipaa
        - gdpr
      title: ComplianceStandard
    ComplianceTimeRange:
      properties:
        start:
          type: string
          format: date-time
          title: Start
        end:
          type: string
          format: date-time
          title: End
      type: object
      required:
        - start
        - end
      title: ComplianceTimeRange
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````